Package org.apache.nutch.parse.html

## Class DOMContentUtils.LinkParams

- java.lang.Object
- - org.apache.nutch.parse.html.DOMContentUtils.LinkParams

- Enclosing class:
    DOMContentUtils

      public static class DOMContentUtils.LinkParams
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `attrName` |
    `int` | `childLen` |
    `String` | `elName` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LinkParams​(String elName, String attrName, int childLen)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### elName

          public String elName

    - #### attrName

          public String attrName

    - #### childLen

          public int childLen

  - ### Constructor Detail

    - #### LinkParams

          public LinkParams​(String elName,
                            String attrName,
                            int childLen)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`